[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# TOutputPipeStream.Read

Read data from the stream.

## Declaration

Source position: pipes.pp line 48

`public function TOutputPipeStream.Read(`
`var Buffer;`
`Count: LongInt`
`):LongInt; override;`

## Arguments

`Buffer` |  | Memory buffer where to write the data read from the stream.
`Count` |  | Number of bytes to read from the stream.

## Function result

Number of bytes actually read from the stream.

## Description

Read overrides the parent Read implementation. It always raises an exception, because a output pipe is write-only.

## Errors

An ENoReadPipe exception is raised when this function is called.

## See also

Seek |  | Sets the position in the stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net .